Debian Bug report logs - #648744
prevent migration

version graph

Package: zfsutils; Maintainer for zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils is src:zfsutils.

Reported by: Robert Millan <rmh@debian.org>

Date: Mon, 14 Nov 2011 17:57:02 UTC

Severity: grave

Found in version zfsutils/8.3~svn226546-4

Fixed in version 8.3~svn226546-6

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#648744; Package zfsutils. (Mon, 14 Nov 2011 17:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 14 Nov 2011 17:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: prevent migration
Date: Mon, 14 Nov 2011 18:55:08 +0100
Package: zfsutils
Version: 8.3~svn226546-4
Severity: grave

This version of zfsutils breaks all kernels prior to 8.3.

Don't migrate it yet...

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#648744; Package zfsutils. (Tue, 13 Dec 2011 07:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 13 Dec 2011 07:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 648744@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Arno Töll <debian@toell.net>, debian-bsd@lists.debian.org, 648744@bugs.debian.org
Subject: zfsutils migration (Re: new ZFS installs completely broken in Wheezy/Sid)
Date: Tue, 13 Dec 2011 07:59:49 +0100
(adding #648744 to CC)

2011/12/13 Steven Chamberlain <steven@pyro.eu.org>:
> Now that kfreebsd-9 is in testing, I tried to install it using the
> latest businesscard d-i image.  It works fine, except there is no
> installable zfsutils for it in Wheezy yet, so #648744 is a really
> awkward problem.

I guess we should allow it to migrate then?

But I'm still worried about current Wheezy users being forced to
upgrade to 9.0 and hitting problems like #651624.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#648744; Package zfsutils. (Tue, 13 Dec 2011 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 13 Dec 2011 09:24:08 GMT) Full text and rfc822 format available.

Message #15 received at 648744@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: Arno Töll <debian@toell.net>, debian-bsd@lists.debian.org, 648744@bugs.debian.org
Subject: Re: zfsutils migration (Re: new ZFS installs completely broken in Wheezy/Sid)
Date: Tue, 13 Dec 2011 08:40:15 +0000
On 13/12/11 06:59, Robert Millan wrote:
> I guess we should allow it to migrate then?
> 
> But I'm still worried about current Wheezy users being forced to
> upgrade to 9.0 and hitting problems like #651624.

Haha, I've quite a headache understanding all the combinations.  I'll
list the ones I can think of -- please correct me wherever:


A Squeeze ZFS user would have kfreebsd-8 8.1 and zfsutils 8.1, and may
like to:

S1. upgrade to kfreebsd-8 8.2, and would need zfsutils 8.2
S2. upgrade to kfreebsd-9, but would need zfsutils 8.3
S3. upgrade to kfreebsd-8 8.3, but would need zfsutils 8.3

Option S1 should be possible right now, but not if zfsutils 8.3
migrates, and not after kfreebsd-8 8.2 is replaced by 8.3 in testing;
old versions would have to be used from snapshots.d.o

Option S2 is only possible if zfsutils 8.3 migrates.  Same for option
S3, but that kernel is still in experimental.


A current Wheezy user may still be using the kernel+ZFS from Squeeze,
but more likely they have the 8.2 version of both.  They may want to:

W1. keep kfreebsd-8 8.1 -- an upgrade to zfsutils 8.3 should not happen
due to Breaks?
W2. keep kfreebsd-8 8.2 -- an upgrade to zfsutils 8.3 should not happen
due to Breaks?
W3. upgrade to kfreebsd-9, but would need zfsutils 8.3
W4. upgrade to kfreebsd-8 8.3, but would need zfsutils 8.3

Options W3 and W4 are only possible if zfsutils 8.3 migrates, or if
packages from Sid are used.


A new user may want to:

N1. use Squeeze, install kfreebsd-8 8.1 with zfsutils 8.1
N2. install kfreebsd-8 8.2 -- ZFS installs break due to d-i using the
zfsutils 8.3 udeb which is incompatible with kfreebsd-8 8.2
N3. install kfreebsd-9 9 -- ZFS installs break if only the Wheezy
respository is enabled (a default d-i install), as it has no installable
zfsutils 8.3
N4. install kfreebsd-8 8.3 -- still in experimental, but will need
zfsutils 8.3 too


The overall effect of migration, then, is that kfreebsd-8 8.2 would no
longer be an install/upgrade option for anyone that needs ZFS (except
from snapshots.d.o).  But it will open the door for kfreebsd-8 8.3 to
soon replace it in Wheezy and in the installer.

The migration *must* happen before new/existing Wheezy users (without
using Sid) can install/test ZFS with the newer kernels, particularly a
problem for the d-i images.  I think lots of people (including myself!)
ought to be testing these as soon as possible, in the run-up to the
release of Wheezy and the new kernels upstream.  Upstream were only
alerted to #650667 thanks to testing in Debian GNU/kFreeBSD.

The only other option I see is to split zfsutils so there is a separate
version for installing+running kfreebsd-8 8.2, although that kernel
would disappear anyway when 8.3 replaces it.

I guess bug #651624 is no longer of concern once the installer is using
kfreebsd-8 8.3;  I think that was due to the kernel/zfsutils used by the
installer.  Also it seems #644799 is fixed by newer zfsutils.

Thank you!
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#648744; Package zfsutils. (Tue, 13 Dec 2011 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 13 Dec 2011 17:54:05 GMT) Full text and rfc822 format available.

Message #20 received at 648744@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Arno Töll <debian@toell.net>, debian-bsd@lists.debian.org, 648744@bugs.debian.org
Subject: Re: zfsutils migration (Re: new ZFS installs completely broken in Wheezy/Sid)
Date: Tue, 13 Dec 2011 18:51:23 +0100
2011/12/13 Steven Chamberlain <steven@pyro.eu.org>:
>> But I'm still worried about current Wheezy users being forced to
>> upgrade to 9.0 and hitting problems like #651624.
>
> Haha, I've quite a headache understanding all the combinations.

Relieved to see I'm not alone on that ;-)

> A Squeeze ZFS user would have kfreebsd-8 8.1 and zfsutils 8.1, and may
> like to:
>
> S1. upgrade to kfreebsd-8 8.2, and would need zfsutils 8.2

kfreebsd 8.2 is usable with zfsutils 8.1, they've got a different ZFS
version but AFAICT they use the same ABI (14 vs 15).

(in fact kfreebsd 8.2 is available in backports)

> A current Wheezy user may still be using the kernel+ZFS from Squeeze,

Nope. Latest kbdcontrol won't allow that (xterm transition).

> but more likely they have the 8.2 version of both.  They may want to:
>
> W1. keep kfreebsd-8 8.1 -- an upgrade to zfsutils 8.3 should not happen
> due to Breaks?
> W2. keep kfreebsd-8 8.2 -- an upgrade to zfsutils 8.3 should not happen
> due to Breaks?

Correct.  They would have to remove kfreebsd 8.1.

> But it will open the door for kfreebsd-8 8.3 to
> soon replace it in Wheezy and in the installer.

We can't really do that until FreeBSD 8.3 is released.  Putting 9.0-0
snapshots in testing is tricky already because new updates have to
preserve ABI (but 9.0 is due really soon now).

> The migration *must* happen before new/existing Wheezy users (without
> using Sid) can install/test ZFS with the newer kernels, particularly a
> problem for the d-i images.  I think lots of people (including myself!)
> ought to be testing these as soon as possible, in the run-up to the
> release of Wheezy and the new kernels upstream.  Upstream were only
> alerted to #650667 thanks to testing in Debian GNU/kFreeBSD.

Yes.  I'm really in favour of migrating ASAP.  But it's scary... we
should at least be sure that pure sid installs currently work.

> The only other option I see is to split zfsutils so there is a separate
> version for installing+running kfreebsd-8 8.2, although that kernel
> would disappear anyway when 8.3 replaces it.

That's a big hassle, and it'd only be temporary.

> I guess bug #651624 is no longer of concern once the installer is using
> kfreebsd-8 8.3;  I think that was due to the kernel/zfsutils used by the
> installer.

Uhm I'm not so sure about that.  Let's see if Christoph finds something...

> Also it seems #644799 is fixed by newer zfsutils.

Closing then.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#648744; Package zfsutils. (Tue, 13 Dec 2011 18:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 13 Dec 2011 18:09:06 GMT) Full text and rfc822 format available.

Message #25 received at 648744@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
Cc: debian-bsd@lists.debian.org, 648744@bugs.debian.org
Subject: Re: zfsutils migration (Re: new ZFS installs completely broken in Wheezy/Sid)
Date: Tue, 13 Dec 2011 19:07:18 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

On 13.12.2011 18:51, Robert Millan wrote:
>> S1. upgrade to kfreebsd-8 8.2, and would need zfsutils 8.2
> 
> kfreebsd 8.2 is usable with zfsutils 8.1, they've got a different ZFS
> version but AFAICT they use the same ABI (14 vs 15).
...
>> The only other option I see is to split zfsutils so there is a separate
>> version for installing+running kfreebsd-8 8.2, although that kernel
>> would disappear anyway when 8.3 replaces it.
> 
> That's a big hassle, and it'd only be temporary.

Note, I didn't find any /real/ problem when using zfsutils 8.3 with a
8.2 kernel. I didn't try it with 8.1 but I don't see why it would be
different there.

Using newer utils does not break anything really, the only problem seems
to be that newer versions of zfsutils do not support "zfs volinit"
anymore, whereas the older kernel more or less waits for this call from
the user land to export volumes properly. Thus, when booting kfreebsd
with an older kernel but newer zfsutils some volumes might be missing on
boot. For the 8.3/9.0 branch this seems to happen automagically.

If we could find a workaround by emulating this "volinit" call when an
older kernel is detected, I guess we could happily use newer utils along
with older kernels. I haven't looked at the code, but that's probably
just some ioctl we could emulate easily.

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJO55RVAAoJEMcrUe6dgPNt8/wQAJi+hfolRcH2mHgnLrAzMiaS
nMrKYJ824ggAo7DxSuCJ1LC5VZsJklZCeEJ84KwqY8rofZ/YZUHjA6j77QFYOiUw
NmdRtjeXkHvZ6r9LxHLomWHS2VIycp8uzhDBzLNUgt6VOA/QisPy8Q2jgKRMmdJD
1RY+EKpmPwy52VV9yU8bDtCMgSIfDBWNrcbVwCa/ZOU0fZi67SXKiHhcwUi3BVal
dB5d/mgXfeTDfHTgA684afqnAFcONW4j/YE1OjOLrLTIvndyr5RvcEj/DcipsJi1
pTpwSmOr40ySGO/A4cKTgy51iUbuahbTl0QI2CPSaRGqt3tvXmNg7a0NpqnNaEyY
iDliNxZoQh6aTqD7uP30gWe6GFT4z/zNNi4sh46WWXUTKm6eQvalTsYSKTXG6rmQ
nFLuc87rgmDOOlxFBAhvcrQk9gBS2heUKckoN0kGpuPhKZq8SYrvd8O2dThoqKb2
G7ENIECVtvkCMk05nPSywZ5zoKA5xjxX8xJoURIRs0GkqVHbiDrg0ATkofAkigFQ
Mzq7AyqHzpG/+ZE7c1gp8siUC0EUgmpFGEy45vKfsvEdXvTg709u4A9clHpDBgm/
LsXyQi7e9H/FKGCz6t2/9rnVRdFXXowMOBJYxCwPIBc35dObuOzeH6SHtDPq5I6U
PrB/vg9xmtrNk19FtLt2
=tZjC
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#648744; Package zfsutils. (Wed, 14 Dec 2011 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 14 Dec 2011 18:48:03 GMT) Full text and rfc822 format available.

Message #30 received at 648744@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Arno Töll <debian@toell.net>
Cc: debian-bsd@lists.debian.org, 648744@bugs.debian.org
Subject: Re: zfsutils migration (Re: new ZFS installs completely broken in Wheezy/Sid)
Date: Wed, 14 Dec 2011 19:44:39 +0100
El 13 de desembre de 2011 19:07, Arno Töll <debian@toell.net> ha escrit:
> Note, I didn't find any /real/ problem when using zfsutils 8.3 with a
> 8.2 kernel. I didn't try it with 8.1 but I don't see why it would be
> different there.

Well, "zfs list" fails with EINVAL on 8.1 kernel, and I recall seeing
"zpool status" report non-sense in some combinations.

Is there a point in having our users test yet another combination that
isn't supported by upstream, fix the problems we find, etc? Our
userbase is very small and noticeably bad at finding problems. If we
do this IMHO there should be a benefit.

> If we could find a workaround by emulating this "volinit" call when an
> older kernel is detected, I guess we could happily use newer utils along
> with older kernels. I haven't looked at the code, but that's probably
> just some ioctl we could emulate easily.

Doesn't hurt to implement that, it even helps for people using
chroots, but removing the Breaks and encouraging users to test v28
userland with v15 kernel is a very different story.

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 15 Dec 2011 18:18:12 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Thu, 15 Dec 2011 18:18:12 GMT) Full text and rfc822 format available.

Message #35 received at 648744-done@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Arno Töll <debian@toell.net>
Cc: debian-bsd@lists.debian.org, 648744-done@bugs.debian.org
Subject: Re: zfsutils migration (Re: new ZFS installs completely broken in Wheezy/Sid)
Date: Thu, 15 Dec 2011 19:16:45 +0100
Version: 8.3~svn226546-6

In any case, it seems nobody has a strong objection against migrating zfsutils.

-- 
Robert Millan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jan 2012 07:35:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:46:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.